<%@ page buffer="none" import="org.opencms.main.*, org.opencms.search.*, org.opencms.file.*, org.opencms.jsp.*, java.util.*" %><%   
    
    // Create a JSP action element
    org.opencms.jsp.CmsJspActionElement cms = new CmsJspActionElement(pageContext, request, response);
    
    // Get the search manager
    CmsSearchManager searchManager = OpenCms.getSearchManager(); 
%>

<jsp:useBean id="search" scope="request" class="org.opencms.search.CmsSearch">
    <jsp:setProperty name = "search" property="*"/>
    <% search.init(cms.getCmsObject()); %>
</jsp:useBean>

<html>

<head>
<title>Rebuild search index</title>
</head>

<body>
<form method="post" action="result.jsp">
<h1>Search</h1>
<table>
<tr><th valign="top">Query:</th>
<td><input type="text" name="query" size="50" value="<%=(cms.property("query") != null) ? cms.property("query") : ""%>"></td></tr>

<tr><th valign="top">Index:</th>
<td>
<select name="index">
<%
    for (Iterator i = searchManager.getIndexNames().iterator(); i.hasNext();) {
        String indexName = (String)i.next();
%>
<option <%=(indexName.equals(cms.property("index"))) ? "selected" : "" %>><%=indexName%></option>
<%
    }
%>
</select>
</td></tr>

<tr><th valign="top">Fields:</th><td>
<input type="checkbox" name="field" value="title" 
    <%=(cms.property("field") == null || cms.property("field").indexOf("title") >= 0) ? "checked" : "" %>>Title<br>
<input type="checkbox" name="field" value="keywords" 
    <%=(cms.property("field") == null || cms.property("field").indexOf("keywords") >= 0) ? "checked" : "" %>>Keywords<br>
<input type="checkbox" name="field" value="description" 
    <%=(cms.property("field") == null || cms.property("field").indexOf("description") >= 0) ? "checked" : "" %>>Description<br>
<input type="checkbox" name="field" value="content" 
    <%=(cms.property("field") == null || cms.property("field").indexOf("content") >= 0) ? "checked" : "" %>>Content<br>
</td></tr>
</table>
<p>
<input type="submit" value="Submit">
</form>
</body>
</html>